<template>
	<view class="page">
		<nav-bar title="About us" bgColor="#fff"></nav-bar>
		<view style="padding: 30px 10px;">
			<view style="text-align: center;">
				<image src="/static/images/w5.png" mode="cover" style="width: 150px; height: 150px; border: 1px solid #fff; border-radius: 10px; margin: auto;"></image>
			</view>
			<view style="font-size: 18px; font-weight: 600; color: #333; text-align: center; line-height: 40px;">MMT</view>
			<view style="font-weight: 500; font-size: 14px; color: #999; text-align: center;">Version: 1.0.1</view>
		</view>
		<view class="cell_list" @click="onPageJump('/pages/about/Version')">
			<view class="cell_left txt">Version update</view>
			<view class="cell_right arrow"></view>
		</view>
		<view class="cell_list" @click="onPageJump('/pages/about/details?id=1')">
			<view class="cell_left txt">Service Agreement</view>
			<view class="cell_right arrow"></view>
		</view>
		<view class="cell_list" @click="onPageJump('/pages/about/details?id=2')">
			<view class="cell_left txt">Company profile</view>
			<view class="cell_right arrow"></view>
		</view>

	</view>
</template>

<script>
	import zPrompt from '@/components/common/prompt';
	import Popup from '@/components/common/popup';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	export default {
		components: {
			Popup,
			zPrompt
		},
		data() {
			return {
				list:[]
			};
		},
		computed: {
		},
		//第一次加载
		onLoad(e) {
			this.getabout();
		},
		//页面显示
		onShow() {},
		//方法
		methods: {
			...mapMutations(['setUserInfo']),
			getabout(){
				let data = {
					category_id: 8,
					page: 1,
					limit: 1,
					lang: this.$i18n.locale
				}
				this.$http.post('/api/article/list', data).then(res => {
					if(res.code == 0){
						this.list = res.data.data.filter(item => item.status == 1);
					}
				});
			},
			onPageJump(url) {
				uni.navigateTo({
					url: url
				});
			},
			onTokenJump(url) {
				this.judgeLogin(() => {
					uni.navigateTo({
						url: url
					});
				});
			},
			handleClose(done) {
				this.dialogVisible = false;
			}
		},
		//页面隐藏
		onHide() {},
		//页面卸载
		onUnload() {},
		//页面下来刷新
		onPullDownRefresh() {},
		//页面上拉触底
		onReachBottom() {},
		//用户点击分享
		onShareAppMessage(e) {
			return this.wxShare();
		}
	};
</script>
<style lang="scss" scoped>
	@import '@/style/mixin.scss';
	body{background-color: #F8F8F8;}
	.page{min-height: 100vh;position: relative; background-color: #F8F8F8;}
	.cell_list {
		padding: 40rpx 30rpx;
		margin: 0rpx 30rpx;
		border-bottom: 1px solid #ddd;
	}
	.txt{
		font-weight: 500;
		font-size: 16px;
		color: #3d3d3d
	}
	.cell_right image {
		width: 140rpx;
		height: 140rpx;
		border-radius: 50%;
	}
</style>